Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1111)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1112)
@@ -964,32 +980,21 @@
 	 * @return <code>true</code> if the node exists, otherwise <code>false</code>
 	 */
 	public static boolean resultScopeNodeExists(TXMResult result)	{
-		if(result == null)	{
-			return false;
-		}
-		return scope.getNode(result.getUUID()) != null;
+		return preferencesRootNode.node(result.getParametersNodePath()) != null;
 	}
 
 	/**
-	 * Checks if a key exists in the local node for the specified TXM result.
-	 * @param result
+	 * 
+	 * @param scope
+	 * @param nodePath
 	 * @param key
-	 * @return <code>true</code> if the node and the key exist, otherwise <code>false</code>
+	 * @return
 	 */
-	public static boolean resultScopeKeyExists(TXMResult result, String key)	{
-		return keyExists(result.getUUID(), key);
-	}
-
-	/**
-	 * Checks if a key exists in a node.
-	 * @param nodeQualifier
-	 * @param key
-	 * @return <code>true</code> if the node and the key exist, otherwise <code>false</code>
-	 */
-	public static boolean keyExists(String nodeQualifier, String key)	{
-		if(scope.getNode(nodeQualifier) != null)	{
+	public static boolean keyExists(String nodePath, String key)	{
+		
+		if(preferencesRootNode.node(nodePath) != null)	{
 			try {
-				return Arrays.asList(scope.getNode(nodeQualifier).keys()).contains(key);
+				return Arrays.asList(preferencesRootNode.node(nodePath).keys()).contains(key);
 			}
 			catch(BackingStoreException e) {
 				e.printStackTrace();
@@ -998,17 +1003,16 @@
 		return false;
 	}
 
-
 	/**
 	 * Checks if a preference is defined as empty.
 	 * Can be used to determine whatever a functionality is available or not by overriding the preference as empty.
 	 * Essentially used for UI purpose, eg. to hide or disable a button that modify a preference.
-	 * @param nodeQualifier
+	 * @param nodePath
 	 * @param key
 	 * @return
 	 */
-	public static boolean isEmpty(String nodeQualifier, String key)	{
-		return getString(key, nodeQualifier).equals("");
+	public static boolean isEmpty(String nodePath, String key)	{
+		return getString(key, nodePath).equals("");
 	}
 
 
@@ -1016,11 +1020,11 @@
 	 * Sets a preference as empty.
 	 * Can be used to determine whatever a functionality is available or not by overriding the preference as empty.
 	 * Essentially used for UI purpose, eg. to hide or disable a button that modify a preference.
-	 * @param nodeQualifier
+	 * @param nodePath
 	 * @param key
 	 */
-	public static void setEmpty(String nodeQualifier, String key)	{
-		scope.getNode(nodeQualifier).put(key, "");
+	public static void setEmpty(String nodePath, String key)	{
+		preferencesRootNode.node(nodePath).put(key, "");
 	}
 
 	/**
@@ -1028,15 +1032,15 @@
 	 * @return
 	 */
 	public IEclipsePreferences getDefaultPreferencesNode()	{
-		return DefaultScope.INSTANCE.getNode(this.preferencesNode);
+		return DefaultScope.INSTANCE.getNode(this.commandPreferencesNodeQualifier);
 	}
 	
 	/**
 	 * print TxmPreferences in the console.
 	 */
-	public static String dumpToString(String nodeQualifier) {
+	public static String dumpToString(String nodePath) {
 		StringBuilder sb = new StringBuilder();
-		IEclipsePreferences preferences = scope.getNode(nodeQualifier);
+		Preferences preferences = preferencesRootNode.node(nodePath);
 
 		try {
 			String[] keys = preferences.keys();
@@ -1056,19 +1060,18 @@
 	 */
 	public static void dump() {
 		try {
-			IPreferencesService service = Platform.getPreferencesService();
 			System.out.println("root:"); //$NON-NLS-1$
-			for (String children : service.getRootNode().childrenNames()) {
+			for (String children : preferencesRootNode.childrenNames()) {
 				System.out.println("********************************************************************************************************"); //$NON-NLS-1$
 				System.out.println(" scope: " + children); //$NON-NLS-1$
-				String[] subchildren = service.getRootNode().node(children).childrenNames();
+				String[] subchildren = preferencesRootNode.node(children).childrenNames();
 				Arrays.sort(subchildren);
 				for (String children2 : subchildren) {
-					System.out.println("  node: "+ children2); //$NON-NLS-1$
-					String[] keys = service.getRootNode().node(children).node(children2).keys();
+					System.out.println(" scope: " + children + "  node: "+ children2); //$NON-NLS-1$
+					String[] keys = preferencesRootNode.node(children).node(children2).keys();
 					Arrays.sort(keys);
 					for (String key2 : keys) {
-						System.out.println("          " + key2 + " = " + service.getRootNode().node(children).node(children2).get(key2, null)); //$NON-NLS-1$ //$NON-NLS-2$
+						System.out.println("          " + key2 + " = " + preferencesRootNode.node(children).node(children2).get(key2, null)); //$NON-NLS-1$ //$NON-NLS-2$
 					}
 				}
 			}
@@ -1079,12 +1082,12 @@
 
 	/**
 	 * Dumps the keys and values of the specified node of the specified scope.
-	 * @param nodeQualifier
+	 * @param nodePath
 	 */
-	public static void dump(IScopeContext scope, String nodeQualifier)	{
-		IEclipsePreferences preferences = scope.getNode(nodeQualifier);
+	public static void dump(IScopeContext scope, String nodePath)	{
+		IEclipsePreferences preferences = scope.getNode(nodePath);
 		System.out.println("TXMPreferences.dump(): ***************************************************************");
-		System.out.println("TXMPreferences.dump(): node qualifier = " + nodeQualifier);
+		System.out.println("TXMPreferences.dump(): node qualifier = " + nodePath);
 		System.out.println("TXMPreferences.dump():" + preferences.absolutePath());
 		try {
 			String[] keys = preferences.keys();
@@ -1101,37 +1104,37 @@
 
 	/**
 	 * Dumps the keys and values of the specified node of the instance and default scopes.
-	 * @param nodeQualifier
+	 * @param nodePath
 	 */
-	public static void dump(String nodeQualifier)	{
-		dump(DefaultScope.INSTANCE, nodeQualifier);
-		dump(scope, nodeQualifier);
+	public static void dump(String nodePath)	{
+		dump(DefaultScope.INSTANCE, nodePath);
+		dump(InstanceScope.INSTANCE, nodePath);
 	}
 
 
 	/**
 	 * 
-	 * @param nodeQualifier
+	 * @param nodePath
 	 * @throws BackingStoreException 
 	 */
-	public static String[] getKeys(IScopeContext scope, String nodeQualifier) throws BackingStoreException	{
-		IEclipsePreferences preferences = scope.getNode(nodeQualifier);
+	public static String[] getKeys(IScopeContext scope, String nodePath) throws BackingStoreException	{
+		IEclipsePreferences preferences = scope.getNode(nodePath);
 		return preferences.keys();
 	}
 
-	public static String[] getCommandScopeKeys(String nodeQualifier) throws BackingStoreException	{
-		return getKeys(scope, nodeQualifier);
+	public static String[] getCommandScopeKeys(String nodePath) throws BackingStoreException	{
+		return getKeys(InstanceScope.INSTANCE, nodePath);
 	}
 
-	public static String[] getDefaultScopeKeys(String nodeQualifier) throws BackingStoreException	{
-		return getKeys(DefaultScope.INSTANCE, nodeQualifier);
+	public static String[] getDefaultScopeKeys(String nodePath) throws BackingStoreException	{
+		return getKeys(DefaultScope.INSTANCE, nodePath);
 	}
 
-	public static HashMap<String, Object> getKeysAndValuesAsMap(IScopeContext scope, String nodeQualifier)	{
+	public static HashMap<String, Object> getKeysAndValuesAsMap(IScopeContext scope, String nodePath)	{
 
 		HashMap<String, Object> str = new HashMap<String, Object>();
 
-		IEclipsePreferences preferences = scope.getNode(nodeQualifier);
+		IEclipsePreferences preferences = scope.getNode(nodePath);
 
 		try {
 			String[] keys = preferences.keys();
@@ -1148,11 +1151,11 @@
 		return str;
 	}
 
-	public static String getKeysAndValues(IScopeContext scope, String nodeQualifier)	{
+	public static String getKeysAndValues(String nodePath)	{
 
 		StringBuilder str = new StringBuilder();
 
-		IEclipsePreferences preferences = scope.getNode(nodeQualifier);
+		Preferences preferences = preferencesRootNode.node(nodePath);
 
 		str.append("Path = " +  preferences.absolutePath() + "\n"); //$NON-NLS-1$  //$NON-NLS-2$		
 		str.append("Name = " +  preferences.name() + "\n"); //$NON-NLS-1$  //$NON-NLS-2$
@@ -1177,25 +1180,25 @@
 
 	/**
 	 * Dumps the keys and values of the specified node, of the specified result node and also of the alternative nodes.
-	 * @param nodeQualifier
+	 * @param nodePath
 	 * @param result
 	 */
-	public static void dump(String nodeQualifier, TXMResult result)	{
+	public static void dump(String nodePath, TXMResult result)	{
 
 		// result scope node
 		if(result != null)	{
 			if(resultScopeNodeExists(result))	{
-				Log.finest("TXMPreferences.dump(): Result scope preferences for node " + result.getUUID() + ":");
-				dump(result.getUUID());
+				Log.finest("TXMPreferences.dump(): Result scope preferences for node " + result.getParametersNodePath() + ":");
+				dump(result.getParametersNodePath());
 			}
 			else	{
-				Log.severe("TXMPreferences.dump(): No result scope preferences was found for node" + result.getUUID() + ".");
+				Log.severe("TXMPreferences.dump(): No result scope preferences was found for node" + result.getParametersNodePath() + ".");
 			}
 		}
 		// command scope node
-		if(nodeQualifier != null)	{
-			Log.finest("TXMPreferences.dump(): Command scope preferences for node " + nodeQualifier + ":");
-			dump(nodeQualifier);
+		if(nodePath != null)	{
+			Log.finest("TXMPreferences.dump(): Command scope preferences for node " + nodePath + ":");
+			dump(nodePath);
 		}
 		else	{
 			Log.finest("TXMPreferences.dump(): No Command scope was asked to dump.");
@@ -1215,28 +1218,33 @@
 	 */
 	public static void flush(TXMResult result)	{
 		Log.finest("TXMPreferences.flush(): Local preferences for object " + result.getUUID() + " saved to file.");
-		flush(result.getUUID());
+		flush(result.getParametersNodePath());
 	}
 	
 	/**
 	 * Saves the local preferences to file.
 	 * @param result
 	 */
-	public static void flush(String qualifier)	{
+	public static void flush(String nodePath)	{
 		try {
-			scope.getNode(qualifier).flush();
+			preferencesRootNode.node(nodePath).flush();
 		}
 		catch(BackingStoreException e) {
 			e.printStackTrace();
 		}
 	}
 
+	public void flush() {
+		TXMPreferences.flush(this.commandPreferencesNodeQualifier);
+	}
+
+	
 	/**
 	 * Deletes the local node if exists and the associated .prefs persistence file.
 	 * @param result
 	 */
 	public static void delete(TXMResult result)	{
-		delete(scope.getNode(result.getUUID()));
+		delete(preferencesRootNode.node(result.getParametersNodePath()));
 		Log.finest("TXMPreferences.delete(): Local preferences node for object " + result.getUUID() + " deleted.");
 	}
 
@@ -1245,7 +1253,7 @@
 	 * Deletes the specified node if exists and the associated .prefs file.
 	 * @param node
 	 */
-	public static void delete(IEclipsePreferences node)	{
+	public static void delete(Preferences node)	{
 		try {
 			node.clear();
 			node.flush();
@@ -1258,94 +1266,166 @@
 	}
 
 
+
+
 	/**
-	 * Deletes all the result nodes from the preferences and files that are not set as persistable.
+	 * Gets all the result nodes qualifiers (from scope or *.prefs files starting with TXMResult.UUID_PREFIX, eg.: "txm_res_").
+	 * @return
 	 */
-	public static void deleteAllNotPersistableResultsNodes()	{
-		ArrayList<String> resultsNodesQualifier = getAllResultsNodesQualifiers();
-		for (int i = 0; i < resultsNodesQualifier.size(); i++) {
-			TXMResult result = TXMResult.getResult(resultsNodesQualifier.get(i)); 
-			if(result != null && !result.isPersistable())	{
-				delete(scope.getNode(resultsNodesQualifier.get(i)));
+	// FIXME: old method, from Instance scope
+//	public static ArrayList<String> getAllResultsNodesQualifiers()	{
+//		ArrayList<String> resultsNodesQualifiers = new ArrayList<String>();
+//		try {
+//			IPreferencesService service = Platform.getPreferencesService();
+//			for (String scopeName : service.getRootNode().childrenNames()) {
+//				if(scopeName != TXMPreferences.scope.getName())	{
+//					continue;
+//				}
+//
+//				String[] nodesNames = service.getRootNode().node(scopeName).childrenNames();
+//				Arrays.sort(nodesNames);
+//				for (String nodeName : nodesNames) {
+//					if(nodeName.startsWith(TXMResult.UUID_PREFIX))	{
+//						resultsNodesQualifiers.add(nodeName);
+//					}
+//				}
+//			}
+//		} catch (Exception e) {
+//			e.printStackTrace();
+//		}
+//		Collections.sort(resultsNodesQualifiers);
+//		return resultsNodesQualifiers;
+//	}
+
+	/**
+	 * Gets all the result nodes qualifiers from the specified node path (from the scope or *.prefs files starting with TXMResult.UUID_PREFIX, eg.: "txm_res_").
+	 * @return
+	 */
+	// FIXME: try to use the scope directly and not pass through the reference service
+	public static ArrayList<String> getAllResultsNodePaths(String rootPath)	{
+//		ArrayList<String> resultsNodesQualifiers = new ArrayList<String>();
+//		try {
+//			IPreferencesService service = Platform.getPreferencesService();
+//			for (String scopeName : service.getRootNode().childrenNames()) {
+//				System.out.println("TXMPreferences.getAllResultsNodesQualifiers(): scope = " + scopeName);
+//				if(!scopeName.equals(scope.getName()))	{
+//					System.out.println("TXMPreferences.getAllResultsNodesQualifiersProjects(): skipping scope.");
+//					continue;
+//				}
+//
+//				String[] nodesNames = service.getRootNode().node(scopeName).node(nodePath).childrenNames();
+//				
+//				System.out.println("TXMPreferences.getAllResultsNodesQualifiers(): nodes found = " + nodesNames.length);
+//				
+//				
+//				Arrays.sort(nodesNames);
+//				for (String nodeName : nodesNames) {
+//					System.out.println("TXMPreferences.getAllResultsNodesQualifiers(): node name = " + nodeName);
+//					
+//					if(nodeName.startsWith(TXMResult.UUID_PREFIX))	{
+//						resultsNodesQualifiers.add(nodeName);
+//					}
+//				}
+//			}
+//		} catch (Exception e) {
+//			e.printStackTrace();
+//		}
+//		Collections.sort(resultsNodesQualifiers);
+//		return resultsNodesQualifiers;
+		
+		
+		Log.finest("TXMPreferences.getAllResultsNodePaths(): looking for nodes in path \"" + preferencesRootNode.node(rootPath) + "\".");
+		
+		ArrayList<String> nodePaths = new ArrayList<String>();
+		
+		try {
+			String[] nodesNames = preferencesRootNode.node(rootPath).childrenNames();
+			
+			Log.finest("TXMPreferences.getAllResultsNodePaths(): " + nodesNames.length + " node(s) found.");
+		
+			Arrays.sort(nodesNames);
+			for (String nodeName : nodesNames) {
+				Log.finest("TXMPreferences.getAllResultsNodePaths(): node name = " + nodeName);
+				
+				if(nodeName.startsWith(TXMResult.UUID_PREFIX))	{
+					Log.finest("TXMPreferences.getAllResultsNodePaths(): node path = " + rootPath + nodeName);
+					nodePaths.add(rootPath + nodeName);
+				}
 			}
+			
+			Collections.sort(nodePaths);
 		}
+		catch (BackingStoreException e) {
+			e.printStackTrace();
+		}
+		return nodePaths;
+		
 	}
 
 
+
 	/**
-	 * Deletes all the result nodes from the preferences and files.
+	 * Deletes all the result nodes from the preferences and files that are not set as persistable.
 	 */
-	public static void deleteAllResultsNodes()	{
-		ArrayList<String> resultsNodesQualifier = getAllResultsNodesQualifiers();
+	public static void deleteAllNotPersistableResultsNodes(String path)	{
+		
+		ArrayList<String> resultsNodesQualifier = getAllResultsNodePaths(path);
 		for (int i = 0; i < resultsNodesQualifier.size(); i++) {
-			delete(scope.getNode(resultsNodesQualifier.get(i)));
+			TXMResult result = TXMResult.getResult(resultsNodesQualifier.get(i)); 
+			if(result != null && !result.isPersistable())	{
+				delete(preferencesRootNode.node(path).node(resultsNodesQualifier.get(i)));
+			}
 		}
 	}
 
 
 	/**
-	 * Gets all the result nodes qualifiers (from scope or *.prefs files starting with TXMResult.UUID_PREFIX, eg.: "txm_res_").
-	 * @return
+	 * Deletes all the result nodes from the preferences and files.
 	 */
-	public static ArrayList<String> getAllResultsNodesQualifiers()	{
-		ArrayList<String> resultsNodesQualifiers = new ArrayList<String>();
-		try {
-			IPreferencesService service = Platform.getPreferencesService();
-			for (String scopeName : service.getRootNode().childrenNames()) {
-				if(scopeName != TXMPreferences.scope.getName())	{
-					continue;
-				}
-
-				String[] nodesNames = service.getRootNode().node(scopeName).childrenNames();
-				Arrays.sort(nodesNames);
-				for (String nodeName : nodesNames) {
-					if(nodeName.startsWith(TXMResult.UUID_PREFIX))	{
-						resultsNodesQualifiers.add(nodeName);
-					}
-				}
-			}
-		} catch (Exception e) {
-			e.printStackTrace();
+	public static void deleteAllResultsNodes(String path)	{
+		
+		ArrayList<String> resultsNodesQualifier = getAllResultsNodePaths(path);
+		for (int i = 0; i < resultsNodesQualifier.size(); i++) {
+			delete(preferencesRootNode.node(path).node(resultsNodesQualifier.get(i)));
 		}
-		Collections.sort(resultsNodesQualifiers);
-		return resultsNodesQualifiers;
 	}
+	
 
-
-
-
 	/**
-	 * Internal method to find the node qualifier of a result otherwise look in instance, default scopes and in alternatives nodes qualifiers.
+	 * Internal method to find the preference node path of a result otherwise look in instance, default scopes and in alternatives nodes qualifiers.
 	 * @param result
 	 * @param key
 	 */
-	public static String findNodeQualifier(String nodeQualifier, TXMResult result, String key)	{
+	public static String findNodePath(String nodePath, TXMResult result, String key)	{
 
-		boolean keyExists = (result != null && resultScopeKeyExists(result, key));
+		boolean keyExists = (result != null && keyExists(result.getParametersNodePath(), key));
 
 		// get the result scope preference
 		if(keyExists)	{
-			nodeQualifier = result.getUUID();
+			nodePath = result.getParametersNodePath();
 		}
-
 		// look in the global alternative preferences nodes
-		else if(!keyExists(nodeQualifier, key))	{
+		else if(!keyExists("instance/" + nodePath, key))	{
 			for(int i = 0; i < alternativeNodesQualifiers.size(); i++) {
 				if(keyExists(alternativeNodesQualifiers.get(i), key))	{
-					nodeQualifier = alternativeNodesQualifiers.get(i);
+					nodePath = alternativeNodesQualifiers.get(i);
 					break;
 				}
 			}
 		}
+		else	{
+			nodePath = "instance/" + nodePath;
+		}
 
-		if (nodeQualifier == null)	{
+		if (nodePath == null)	{
 			try {
-				Log.severe("TXMPreferences.findNodeQualifier(): no node qualifier has been founded (key = " + key + ", TXMResult = " + result + ").");
+				Log.severe("TXMPreferences.findNodePath(): no node qualifier has been founded (key = " + key + ", TXMResult = " + result + ").");
 			}
 			catch(Exception e) {
+				e.printStackTrace();
 			}
 		}
-		return nodeQualifier;
+		return nodePath;
 	}
 
 
@@ -1355,49 +1435,49 @@
 	 * @param result
 	 * @param parameters
 	 */
-	public static void putLocalParameters(TXMResult result, TXMParameters parameters)	{
-		Set keys = parameters.keySet();
-		Iterator it = keys.iterator();
-		while (it.hasNext()){
-			Object key = it.next();
-			Object value = parameters.get(key);
-			if(value != null)	{
-				putLocal(result, (String) key, value);
-			}
-		}
-	}
+	// FIXME: became useless?
+//	public static void putLocalParameters(TXMResult result, TXMParameters parameters)	{
+//		Set keys = parameters.keySet();
+//		Iterator it = keys.iterator();
+//		while (it.hasNext()){
+//			Object key = it.next();
+//			Object value = parameters.get(key);
+//			if(value != null)	{
+//				putLocal(result, (String) key, value);
+//			}
+//		}
+//	}
 
-
-
 	/**
-	 *
-	 * @param nodeQualifier
+	 * Puts a preference in the specified node.
+	 * @param scope
+	 * @param nodePath
 	 * @param key
 	 * @param value
 	 */
-	public static void put(String nodeQualifier, String key, Object value) {
+	public static void put(String nodePath, String key, Object value) {
 
 		if (Integer.class.isInstance(value))	{
-			scope.getNode(nodeQualifier).putInt(key, (Integer) value);
+			preferencesRootNode.node(nodePath).putInt(key, (Integer) value);
 		}
 		else if (Double.class.isInstance(value))	{
-			scope.getNode(nodeQualifier).putDouble(key, (Double) value);
+			preferencesRootNode.node(nodePath).putDouble(key, (Double) value);
 		}
 		else if (Float.class.isInstance(value))	{
-			scope.getNode(nodeQualifier).putFloat(key, (Float) value);
+			preferencesRootNode.node(nodePath).putFloat(key, (Float) value);
 		}
 		else if (Long.class.isInstance(value))	{
-			scope.getNode(nodeQualifier).putLong(key, (Long) value);
+			preferencesRootNode.node(nodePath).putLong(key, (Long) value);
 		}
 		else if (String.class.isInstance(value))	{
-			scope.getNode(nodeQualifier).put(key, (String) value);
+			preferencesRootNode.node(nodePath).put(key, (String) value);
 		}
 		else if (Boolean.class.isInstance(value))	{
-			scope.getNode(nodeQualifier).putBoolean(key, (Boolean) value);
+			preferencesRootNode.node(nodePath).putBoolean(key, (Boolean) value);
 		}
 		else if (Serializable.class.isInstance(value))	{
 			try {
-				scope.getNode(nodeQualifier).put(key, toString((Serializable)value));
+				preferencesRootNode.node(nodePath).put(key, toString((Serializable)value));
 			} catch (IOException e) {
 				// TODO Auto-generated catch block
 				e.printStackTrace();
@@ -1407,10 +1487,10 @@
 		//		// FIXME: SJ: need to prove/validate this method
 		//		else if (byte.class.isAssignableFrom(value.getClass().getComponentType()))	{
 		//			System.err.println("TXMPreferences.put(): byte array -> need to prove/validate this method.");
-		//			scope.getNode(nodeQualifier).putByteArray(key, (byte[]) value);
+		//			scope.getNode(nodePath).putByteArray(key, (byte[]) value);
 		//		}
 		else if(value != null) {
-			scope.getNode(nodeQualifier).put(key, value.toString());
+			preferencesRootNode.node(nodePath).put(key, value.toString());
 
 
 			// FIXME: to do if needed
@@ -1418,32 +1498,35 @@
 			//System.err.println("TXMPreferences.put(): error, can't find a put method that matches the value type: " + value.getClass() + "=" + value + ".");
 		}
 	}
+	
 
+
+
 	/**
 	 * 
 	 * @param key
 	 * @param value
 	 */
 	public void put(String key, Object value) {
-		put(this.preferencesNode, key, value);
+		put(this.commandPreferencesNodeQualifier, key, value);
 	}
 
 
 	/**
-	 * Stores the specified parameters pairs of key/value in a local node dedicated to the specified result. The node qualifier is generated by the <code>TXMResult.getUUID</code> method.
+	 * Stores the specified parameters pairs of key/value in a local node dedicated to the specified result.
 	 * @param result
 	 * @param key
 	 * @param value
 	 */
 	public static void putLocal(TXMResult result, String key, Object value)	{
-		put(result.getUUID(), key, value);;
+		put(result.getParametersNodePath(), key, value);
 	}
 
 
 	// FIXME: TO do if needed
 	private static void putLocalSerializable(TXMResult result, String key, Serializable value) {
 		byte[] b = toByteArray(value);
-		scope.getNode(result.getUUID()).putByteArray(key, b);
+		preferencesRootNode.node(result.getParametersNodePath()).putByteArray(key, b);
 	}
 
 
@@ -1475,12 +1558,12 @@
 	//
 	//	/**
 	//	 *
-	//	 * @param nodeQualifier
+	//	 * @param nodePath
 	//	 * @param key
 	//	 * @param value
 	//	 */
-	//	public static void putByteArray(String nodeQualifier, String key, byte[] value) {
-	//		scope.getNode(nodeQualifier).putByteArray(key, value);
+	//	public static void putByteArray(String nodePath, String key, byte[] value) {
+	//		scope.getNode(nodePath).putByteArray(key, value);
 	//	}
 
 
@@ -1506,7 +1589,7 @@
 	 * @param dstResult
 	 */
 	public static void cloneNode(TXMResult srcResult, TXMResult dstResult)	{
-		IEclipsePreferences preferences = scope.getNode(srcResult.getUUID());
+		Preferences preferences = preferencesRootNode.node(srcResult.getParametersNodePath());
 		if(preferences != null)	{
 			try {
 				String[] keys = preferences.keys();
@@ -1522,9 +1605,6 @@
 	}
 
 
-	public void flush() {
-		TXMPreferences.flush(preferencesNode);
-	}
 
 	//FIXME: this code is dedicated to dynamically retrieve the static field PREFERENCES_NODE of the runtime subclass and use it super class to avoid to pass it to all methods.
 	// eg. to use ProgressionPreferences.getBoolean("test") instead of TXMPreferences.getBoolean(ProgressionPreferences.PREFERENCES_NODE, "test")
